/*************************************************************************
* create_alias_files.h
* Author: Leslie Van Exel, Jr.
* Description: Header file for creating alias files for redirecting mail
**************************************************************************
* Version Date       Changes
* 2       2010/08/19 Updated for version change.
* 1       -          Creation.
*************************************************************************/
#ifndef _CREATE_ALIAS_FILES__H_
#define _CREATE_ALIAS_FILES__H_
/* If you have more than 255 groups within your sites,
 * change this number to whatever seems reasonable to you*/
#define MAX_SITEGROUPS 255


/* Comment out below to only query the single server in AD_SERVERNAME
 * If you do, and it's a Global Catalog connection, then all groups
 * must be "Universal" groups to get the member listings.
 * Universal groups create a lot of overhead in the Global Catalog
 * so this isn't recommended.  If you only have one site, you might
 * as well just use ldap instead of the active directory*/
#define CONNECT_TO_LOCAL_LDAP_SERVERS


/*You shouldn't need to change anything below this*/


#define AD_CURRENT_VERSION "0.17"

/* This can be whatever you want, just as long as it is
 * never used for anything else, or it will get overwritten*/
#define TEMPFILENAME ALIAS_DIR_HEADER "thisisatempaliasfilenamedfile"

#define AD_CN_FIELD "cn"
#define ALIAS_FILE_HEADER ".qmail-"

// #define AD_USERS_CONTAINER_STRING "Users"
#define AD_USERS_CONTAINER_STRING "Users"

struct Site_Group{
	char *site;
	char *group;
} typedef sitegroup;

#endif
